Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Class StringMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.monitor.Monitor
              javax.management.monitor.StringMonitor

All Implemented Interfaces:
  MBeanRegistration, MonitorMBean, NotificationBroadcaster, NotificationEmitter, StringMonitorMBean

public class StringMonitor
extends Monitor
implements StringMonitorMBean

The string monitor service.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class javax.management.monitor.Monitor
`alreadyNotified, alreadyNotifieds, capacityIncrement, dbgTag, elementCount, OBSERVED_ATTRIBUTE_ERROR_NOTIFIED, OBSERVED_ATTRIBUTE_TYPE_ERROR_NOTIFIED, OBSERVED_OBJECT_ERROR_NOTIFIED, RESET_FLAGS_ALREADY_NOTIFIED, RUNTIME_ERROR_NOTIFIED, server`

Constructor Summary
`StringMonitor()` Default Constructor

Method Summary
`String` | `getDerivedGauge()` Retrieves the derived gauge.
`String` | `getDerivedGauge(ObjectName name)` Retrieves the derived gauge.
`long` | `getDerivedGaugeTimeStamp()` Retrieves the derived gauge timestamp.
`long` | `getDerivedGaugeTimeStamp(ObjectName name)` Retrieves the derived gauge timestamp.
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns the notification metadata associated with the MBean.
`boolean` | `getNotifyDiffer()` Retrieves the differs on/off switch.
`boolean` | `getNotifyMatch()` Retrieves the matching on/off switch.
`String` | `getStringToCompare()` Retrieves the string to compare with the observed attribute.
`void` | `setNotifyDiffer(boolean value)` Sets the differs on/off switch.
`void` | `setNotifyMatch(boolean value)` Sets the matching on/off switch.
`void` | `setStringToCompare(String value)` Sets the string to compare with the observed attribute.
`void` | `start()` Starts the monitor.
`void` | `stop()` Stops the monitor.

Methods inherited from class javax.management.monitor.Monitor
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, postDeregister, postRegister, preDeregister, preRegister, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, toString`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject`

Constructor Detail

### StringMonitor

    public StringMonitor()

  Default Constructor

Method Detail

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Description copied from interface: `NotificationBroadcaster`
  Returns the notification metadata associated with the MBean.

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  Overrides:
    `getNotificationInfo` in class `NotificationBroadcasterSupport`

### getDerivedGauge

    public String getDerivedGauge()

  Description copied from interface: `StringMonitorMBean`
  Retrieves the derived gauge.

  Specified by:
    `getDerivedGauge` in interface `StringMonitorMBean`
  Returns:
    the derived gauge.

### getDerivedGauge

    public String getDerivedGauge(ObjectName name)

  Description copied from interface: `StringMonitorMBean`
  Retrieves the derived gauge.

  Specified by:
    `getDerivedGauge` in interface `StringMonitorMBean`
  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Description copied from interface: `StringMonitorMBean`
  Retrieves the derived gauge timestamp.

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `StringMonitorMBean`
  Returns:
    the derived gauge timestamp.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName name)

  Description copied from interface: `StringMonitorMBean`
  Retrieves the derived gauge timestamp.

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `StringMonitorMBean`
  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge timestamp.

### getStringToCompare

    public String getStringToCompare()

  Description copied from interface: `StringMonitorMBean`
  Retrieves the string to compare with the observed attribute.

  Specified by:
    `getStringToCompare` in interface `StringMonitorMBean`
  Returns:
    the comparison string.

### setStringToCompare

    public void setStringToCompare(String value)
                            throws IllegalArgumentException

  Description copied from interface: `StringMonitorMBean`
  Sets the string to compare with the observed attribute.

  Specified by:
    `setStringToCompare` in interface `StringMonitorMBean`
  Parameters:
    `value` - the comparison string.
  Throws:
    `IllegalArgumentException` - when specified string is null.

### getNotifyMatch

    public boolean getNotifyMatch()

  Description copied from interface: `StringMonitorMBean`
  Retrieves the matching on/off switch.

  Specified by:
    `getNotifyMatch` in interface `StringMonitorMBean`
  Returns:
    true if the notification occurs when the string matches, false otherwise.

### setNotifyMatch

    public void setNotifyMatch(boolean value)

  Description copied from interface: `StringMonitorMBean`
  Sets the matching on/off switch.

  Specified by:
    `setNotifyMatch` in interface `StringMonitorMBean`
  Parameters:
    `value` - pass true for a notification when the string matches, false otherwise.

### getNotifyDiffer

    public boolean getNotifyDiffer()

  Description copied from interface: `StringMonitorMBean`
  Retrieves the differs on/off switch.

  Specified by:
    `getNotifyDiffer` in interface `StringMonitorMBean`
  Returns:
    true if the notification occurs when the string differs, false otherwise.

### setNotifyDiffer

    public void setNotifyDiffer(boolean value)

  Description copied from interface: `StringMonitorMBean`
  Sets the differs on/off switch.

  Specified by:
    `setNotifyDiffer` in interface `StringMonitorMBean`
  Parameters:
    `value` - pass true for a notification when the string differs, false otherwise.

### start

    public void start()

  Description copied from interface: `MonitorMBean`
  Starts the monitor.

  Specified by:
    `start` in interface `MonitorMBean`
  Specified by:
    `start` in class `Monitor`

### stop

    public void stop()

  Description copied from interface: `MonitorMBean`
  Stops the monitor.

  Specified by:
    `stop` in interface `MonitorMBean`
  Specified by:
    `stop` in class `Monitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.